﻿using System;

namespace QuizLib
{
    public class Question
    {
        public string QuestionText { get; set; }
        public string[] AvailableAnswers { get; set; }
        public int[] CorrectAnswerIndexes { get; set; }

        public bool IsCorrectAnswer(int[] proposedAnswer)
        {
            if (this.AvailableAnswers == null || this.CorrectAnswerIndexes == null)
                throw new Exception("Question is not initialized.");

            if (proposedAnswer == null || proposedAnswer.Length == 0)
                return false;

            if (proposedAnswer.Length != this.CorrectAnswerIndexes.Length)
                return false;

            foreach (int correctIndex in this.CorrectAnswerIndexes)
                if (Array.IndexOf(proposedAnswer, correctIndex) < 0)
                    return false;

            return true;
        }
    }
}