﻿using QuizLib;

namespace WpfQuiz.ViewModel
{
    public class AnswerViewModel
    {
        readonly Question _question;
        readonly int _index;
        readonly string _questionID;

        public AnswerViewModel(Question question, int index, string questionID)
        {
            _question = question;
            _index = index;
            _questionID = questionID;
        }

        public string AnswerText
        {
            get { return _question.AvailableAnswers[_index]; }
        }

        public bool IsSelected { get; set; }

        public bool IsInMultipleChoiceQuestion
        {
            get { return _question.CorrectAnswerIndexes.Length > 1; }
        }
        
        public string QuestionID
        {
            get { return _questionID; }
        }

        internal int GetIndex()
        {
            return _index;
        }
    }
}